Run of lintian-fixes for jsjac

Try this locally (using the lintian-brush package):

debcheckout jsjac
cd jsjac
lintian-brush

Merge these changes:

git pull https://janitor.debian.net/git/jsjac lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 2520091..3083df2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,13 @@
 jsjac (1.3.4+dfsg-3) UNRELEASED; urgency=medium
 
+  [ Marcelo Jorge Vieira ]
   * Update Vcs-* fields: Maintenance moved to Salsa
 
+  [ Debian Janitor ]
+  * Use versioned copyright format URI.
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+
  -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 04 Mar 2019 22:37:07 -0300
 
 jsjac (1.3.4+dfsg-2) unstable; urgency=high
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index ec63514..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
index 2098aa1..ef8b99b 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Marcelo Jorge Vieira <metal@debian.org>,
  Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
-Build-Depends: debhelper (>= 9), php-pear, perl (>= 5.10),
+Build-Depends: debhelper-compat (= 12), php-pear, perl (>= 5.10),
  libhtml-template-perl, yui-compressor
 Standards-Version: 3.9.8
 Homepage: http://zeank.in-berlin.de/jsjac/
diff --git a/debian/copyright b/debian/copyright
index 5f19a16..5be4bfb 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,4 +1,4 @@
-Format-Specification: http://wiki.debian.org/Proposals/CopyrightFormat
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: JSJaC
 Upstream-Maintainer: Stefan Strigler <steve@zeank.in-berlin.de>
 Upstream-Source: http://zeank.in-berlin.de/download/jsjac-1.3.1.tar.gz

Full worker log Full build log